summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2016-02-12 09:18:08 +0100
committerJustin Lecher <jlec@gentoo.org>2016-02-12 10:24:32 +0100
commite2cb47147dcdf317ec2452ef033cb2aee8d4c47a (patch)
tree568f1fb8768f2aafa54c68a780fe5ee2152e0836 /sci-libs/gsl/gsl-1.16.ebuild
parentnet-wireless/bluez: Stable for HPPA (bug #573370). (diff)
downloadgentoo-e2cb47147dcdf317ec2452ef033cb2aee8d4c47a.tar.gz
gentoo-e2cb47147dcdf317ec2452ef033cb2aee8d4c47a.tar.bz2
gentoo-e2cb47147dcdf317ec2452ef033cb2aee8d4c47a.zip
sci-libs/gsl: QA & cleanup
* add missing die * drop additional die * drop old patches Package-Manager: portage-2.2.27 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'sci-libs/gsl/gsl-1.16.ebuild')
-rw-r--r--sci-libs/gsl/gsl-1.16.ebuild16
1 files changed, 8 insertions, 8 deletions
diff --git a/sci-libs/gsl/gsl-1.16.ebuild b/sci-libs/gsl/gsl-1.16.ebuild
index 49228ecd064..f4ebeb9d75e 100644
--- a/sci-libs/gsl/gsl-1.16.ebuild
+++ b/sci-libs/gsl/gsl-1.16.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -49,7 +49,7 @@ src_prepare() {
epatch "${FILESDIR}"/${P}-cblas.patch
eautoreconf
- cp "${FILESDIR}"/eselect.cblas.gsl "${T}"/
+ cp "${FILESDIR}"/eselect.cblas.gsl "${T}"/ || die
sed -i -e "s:/usr:${EPREFIX}/usr:" "${T}"/eselect.cblas.gsl || die
if [[ ${CHOST} == *-darwin* ]] ; then
sed -i -e 's/\.so\([\.0-9]\+\)\?/\1.dylib/g' \
@@ -68,10 +68,14 @@ src_configure() {
$(use_enable static-libs static)
}
+src_test() {
+ emake -j1 check
+}
+
src_install() {
default
- find "${ED}" -name '*.la' -exec rm -f {} +
+ find "${ED}" -name '*.la' -exec rm -f {} + || die
# take care of pkgconfig file for cblas implementation.
sed -e "s/@LIBDIR@/$(get_libdir)/" \
@@ -81,7 +85,7 @@ src_install() {
"${FILESDIR}"/cblas.pc.in > cblas.pc \
|| die "sed cblas.pc failed"
insinto /usr/$(get_libdir)/blas/gsl
- doins cblas.pc || die "installing cblas.pc failed"
+ doins cblas.pc
eselect cblas add $(get_libdir) "${T}"/eselect.cblas.gsl \
${ESELECT_PROF}
}
@@ -101,7 +105,3 @@ pkg_postinst() {
elog "\t eselect ${p} set ${ESELECT_PROF}"
fi
}
-
-src_test() {
- emake -j1 check || die
-}